Bug 36177 - Traceback when uploading an image
Traceback when uploading an image
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.0
Other Linux
: P5 critical (vote)
: UCS 4.0
Assigned To: Florian Best
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 16:05 CEST by Alexander Kläser
Modified: 2014-11-26 06:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2014-10-15 16:05:51 CEST
I tried to upload a profile image via the UDM user module which caused the following traceback:

> 15.10.14 16:02:33.669  MAIN        ( ERROR   ) : Traceback in default((<__main__.CPUpload object at 0x28a91d0>,), {'uploadType': u'html5', 'uploadedfile': <cherrypy._cpreqbody.Part object at 0x29ae410>, 'iframe': u'false'}):
> Traceback (most recent call last):
>  File "/usr/sbin/univention-management-console-web-server", line 74, in new_f
>    return f(*args, **kwargs)
>  File "/usr/sbin/univention-management-console-web-server", line 657, in default
>    response = self.get_response(sessionid, path, kwargs)
>  File "/usr/sbin/univention-management-console-web-server", line 74, in new_f
>    return f(*args, **kwargs)
>  File "/usr/sbin/univention-management-console-web-server", line 486, in get_response
>    req = self.get_request( '/'.join(path), args )
>  File "/usr/sbin/univention-management-console-web-server", line 74, in new_f
>    return f(*args, **kwargs)
>  File "/usr/sbin/univention-management-console-web-server", line 609, in get_request
>    if isinstance(ifield, cherrypy._cpcgifs.FieldStorage):
> AttributeError: 'module' object has no attribute '_cpcgifs'

That might seem to be somewhat more generic.
Comment 1 Florian Best univentionstaff 2014-10-15 16:14:32 CEST
cherrypy API change for file uploads probably.
Comment 2 Florian Best univentionstaff 2014-10-15 17:35:08 CEST
univention-management-console-frontend (4.1.46-1) 
* Bug #36177: fix file uploads due to cherrypy API change
Comment 3 Stefan Gohmann univentionstaff 2014-10-31 11:44:20 CET
OK, I was able to upload an image.
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:53:45 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".